### Hierarchy

- NodeSelector

## Index

### Methods

- querySelector
- querySelectorAll

## Methods

### querySelector

- querySelector<K>(selectors: K): HTMLElementTagNameMap[K] | null
- querySelector<K>(selectors: K): SVGElementTagNameMap[K] | null
- querySelector<E>(selectors: string): E | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10602

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns HTMLElementTagNameMap[K] | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10603

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns SVGElementTagNameMap[K] | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10604

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns E | null

### querySelectorAll

- querySelectorAll<K>(selectors: K): NodeListOf<HTMLElementTagNameMap[K]>
- querySelectorAll<K>(selectors: K): NodeListOf<SVGElementTagNameMap[K]>
- querySelectorAll<E>(selectors: string): NodeListOf<E>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10605

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<HTMLElementTagNameMap[K]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10606

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<SVGElementTagNameMap[K]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10607

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns NodeListOf<E>

Generated using TypeDoc